Index: inc/admin/class.dc.favorites.php
===================================================================
--- inc/admin/class.dc.favorites.php	(revision 2725)
+++ inc/admin/class.dc.favorites.php	(revision 2566)
@@ -65,4 +65,5 @@
 			$this->migrateFavorites();
 		}
+		defaultFavorites::initDefaultFavorites($this);
 	}
 
@@ -76,5 +77,4 @@
      */
 	 public function setup() {
-		defaultFavorites::initDefaultFavorites($this);
 		$this->legacyFavorites();
 		$this->core->callBehavior('adminDashboardFavorites', $this->core, $this);
@@ -396,14 +396,13 @@
 {
 	public static function initDefaultFavorites($favs) {
-		$core =& $GLOBALS['core'];
 		$favs->registerMultiple(array(
 			'prefs' => array(
 				'title' => __('My preferences'),
-				'url' => $core->adminurl->get("admin.user.preferences"),
+				'url' => 'preferences.php',
 				'small-icon' => 'images/menu/user-pref.png',
 				'large-icon' => 'images/menu/user-pref-b.png'),
 			'new_post' => array(
 				'title' => __('New entry'),
-				'url' => $core->adminurl->get("admin.post"),
+				'url' => 'post.php',
 				'small-icon' => 'images/menu/edit.png',
 				'large-icon' => 'images/menu/edit-b.png',
@@ -411,5 +410,5 @@
 			'posts' => array(
 				'title' => __('Entries'),
-				'url' => $core->adminurl->get("admin.posts"),
+				'url' => 'posts.php',
 				'small-icon' => 'images/menu/entries.png',
 				'large-icon' => 'images/menu/entries-b.png',
@@ -418,5 +417,5 @@
 			'comments' => array(
 				'title' => __('Comments'),
-				'url' => $core->adminurl->get("admin.comments"),
+				'url' => 'comments.php',
 				'small-icon' => 'images/menu/comments.png',
 				'large-icon' => 'images/menu/comments-b.png',
@@ -425,5 +424,5 @@
 			'search' => array(
 				'title' => __('Search'),
-				'url' => $core->adminurl->get("admin.search"),
+				'url' => 'search.php',
 				'small-icon' => 'images/menu/search.png',
 				'large-icon' => 'images/menu/search-b.png',
@@ -431,5 +430,5 @@
 			'categories' => array(
 				'title' => __('Categories'),
-				'url' => $core->adminurl->get("admin.categories"),
+				'url' => 'categories.php',
 				'small-icon' => 'images/menu/categories.png',
 				'large-icon' => 'images/menu/categories-b.png',
@@ -437,5 +436,5 @@
 			'media' => array(
 				'title' => __('Media manager'),
-				'url' => $core->adminurl->get("admin.media"),
+				'url' => 'media.php',
 				'small-icon' => 'images/menu/media.png',
 				'large-icon' => 'images/menu/media-b.png',
@@ -443,5 +442,5 @@
 			'blog_pref' => array(
 				'title' => __('Blog settings'),
-				'url' => $core->adminurl->get("admin.blog.pref"),
+				'url' => 'blog_pref.php',
 				'small-icon' => 'images/menu/blog-pref.png',
 				'large-icon' => 'images/menu/blog-pref-b.png',
@@ -449,5 +448,5 @@
 			'blog_theme' => array(
 				'title' => __('Blog appearance'),
-				'url' => $core->adminurl->get("admin.blog.theme"),
+				'url' => 'blog_theme.php',
 				'small-icon' => 'images/menu/themes.png',
 				'large-icon' => 'images/menu/blog-theme-b.png',
@@ -455,5 +454,5 @@
 			'blogs' => array(
 				'title' => __('Blogs'),
-				'url' => $core->adminurl->get("admin.blogs"),
+				'url' => 'blogs.php',
 				'small-icon' => 'images/menu/blogs.png',
 				'large-icon' => 'images/menu/blogs-b.png',
@@ -461,20 +460,20 @@
 			'users' => array(
 				'title' => __('Users'),
-				'url' => $core->adminurl->get("admin.users"),
+				'url' => 'users.php',
 				'small-icon' => 'images/menu/users.png',
 				'large-icon' => 'images/menu/users-b.png'),
 			'plugins' => array(
 				'title' => __('Plugins management'),
-				'url' => $core->adminurl->get("admin.plugins"),
+				'url' => 'plugins.php',
 				'small-icon' => 'images/menu/plugins.png',
 				'large-icon' => 'images/menu/plugins-b.png'),
 			'langs' => array(
 				'title' => __('Languages'),
-				'url' => $core->adminurl->get("admin.langs"),
+				'url' => 'langs.php',
 				'small-icon' => 'images/menu/langs.png',
 				'large-icon' => 'images/menu/langs-b.png'),
 			'help' => array(
 				'title' => __('Global help'),
-				'url' => $core->adminurl->get("admin.help"),
+				'url' => 'help.php',
 				'small-icon' => 'images/menu/help.png',
 				'large-icon' => 'images/menu/help-b.png')
Index: inc/admin/lib.admincombos.php
===================================================================
--- inc/admin/lib.admincombos.php	(revision 2679)
+++ inc/admin/lib.admincombos.php	(revision 2566)
@@ -51,5 +51,5 @@
 	*/
 	public static function getPostStatusesCombo() {
-		$status_combo =	 array();
+		$status_combo =  array();
 		foreach (self::$core->blog->getAllPostStatus() as $k => $v) {
 			$status_combo[$v] = (string) $k;
@@ -141,41 +141,12 @@
 
 	/**
-	Returns a combo containing all available editors in admin
+	Returns a combo containing all available formaters in admin
 
 	@return	<b>array</b> the combo box (form::combo -compatible format)
 	*/
-	public static function getEditorsCombo()
-	{
-		$editors_combo = array();
-
-		foreach (self::$core->getEditors() as $v) {
-			$editors_combo[$v] = $v;
+	public static function getFormatersCombo() {
+		foreach (self::$core->getFormaters() as $v) {
+			$formaters_combo[$v] = $v;
 		}
-		
-		return $editors_combo;
-	}
-
-	/**
-	Returns a combo containing all available formaters by editor in admin
-
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
-	@return	<b>array</b> the combo box (form::combo -compatible format)
-	*/
-	public static function getFormatersCombo($editor_id='')
-	{
-		$formaters_combo = array();
-
-        if (!empty($editor_id)) {
-            foreach (self::$core->getFormaters($editor_id) as $formater) {
-                $formaters_combo[$formater] = $formater;
-            }
-        } else {
-            foreach (self::$core->getFormaters() as $editor => $formaters) {
-                foreach ($formaters as $formater) {
-                    $formaters_combo[$editor][$formater] = $formater;
-                }
-            }
-        }
-
 		return $formaters_combo;
 	}
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2720)
+++ inc/admin/lib.dc.page.php	(revision 2513)
@@ -66,5 +66,5 @@
 
 			if ($core->auth->getBlogCount() > 20) {
-				$blog_box .= ' - <a href="'.$core->adminurl->get("admin.blogs").'">'.__('Change blog').'</a>';
+				$blog_box .= ' - <a href="blogs.php">'.__('Change blog').'</a>';
 			}
 			$blog_box .= '</p>';
@@ -137,8 +137,8 @@
 		'</ul>'."\n".
 		'<div id="header">'.
-		'<h1><a href="'.$core->adminurl->get("admin.home").'"><span class="hidden">'.DC_VENDOR_NAME.'</span></a></h1>'."\n";
-
-		echo
-		'<form action="'.$core->adminurl->get("admin.home").'" method="post" id="top-info-blog">'.
+		'<h1><a href="index.php"><span class="hidden">'.DC_VENDOR_NAME.'</span></a></h1>'."\n";
+
+		echo
+		'<form action="index.php" method="post" id="top-info-blog">'.
 		$blog_box.
 		'<p><a href="'.$core->blog->url.'" class="outgoing" title="'.__('Go to site').
@@ -146,8 +146,8 @@
 		'</p></form>'.
 		'<ul id="top-info-user">'.
-		'<li><a class="'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="'.$core->adminurl->get("admin.home").'">'.__('My dashboard').'</a></li>'.
+		'<li><a class="'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="index.php">'.__('My dashboard').'</a></li>'.
 		'<li><a class="smallscreen'.(preg_match('/preferences.php(\?.*)?$/',$_SERVER['REQUEST_URI']) ? ' active' : '').
-		'" href="'.$core->adminurl->get("admin.user.preferences").'">'.__('My preferences').'</a></li>'.
-		'<li><a href="'.$core->adminurl->get("admin.home",array('logout' => 1)).'" class="logout"><span class="nomobile">'.sprintf(__('Logout %s'),$core->auth->userID()).
+		'" href="preferences.php">'.__('My preferences').'</a></li>'.
+		'<li><a href="index.php?logout=1" class="logout"><span class="nomobile">'.sprintf(__('Logout %s'),$core->auth->userID()).
 		'</span><img src="images/logout.png" alt="" /></a></li>'.
 		'</ul>'.
@@ -255,5 +255,5 @@
 		if (!$GLOBALS['__resources']['ctxhelp']) {
 			echo
-			'<p id="help-button"><a href="'.$core->adminurl->get("admin.help").'" class="outgoing" title="'.
+			'<p id="help-button"><a href="help.php" class="outgoing" title="'.
 			__('Global help').'">'.__('Global help').'</a></p>';
 		}
@@ -267,5 +267,5 @@
 		'<div id="main-menu">'."\n".
 
-		'<form id="search-menu" action="'.$core->adminurl->get("admin.search").'" method="get">'.
+		'<form id="search-menu" action="search.php" method="get">'.
 		'<p><label for="qx" class="hidden">'.__('Search:').' </label>'.form::field('qx',30,255,'').
 		'<input type="submit" value="'.__('OK').'" /></p>'.
@@ -374,5 +374,4 @@
 	public static function breadcrumb($elements=null,$options=array())
 	{
-		global $core;
 		$with_home_link = isset($options['home_link'])?$options['home_link']:true;
 		$hl = isset($options['hl'])?$options['hl']:true;
@@ -380,5 +379,5 @@
 		// First item of array elements should be blog's name, System or Plugins
 		$res = '<h2>'.($with_home_link ?
-			'<a class="go_home" href="'.$core->adminurl->get("admin.home").'"><img src="style/dashboard.png" alt="'.__('Go to dashboard').'" /></a>' :
+			'<a class="go_home" href="index.php"><img src="style/dashboard.png" alt="'.__('Go to dashboard').'" /></a>' :
 			'<img src="style/dashboard-alt.png" alt="" />');
 		$index = 0;
@@ -474,5 +473,4 @@
 	public static function helpBlock()
 	{
-		global $core;
 		$args = func_get_args();
 
@@ -528,5 +526,5 @@
 		'<div id="helplink"><hr />'.
 		'<p>'.
-		sprintf(__('See also %s'),sprintf('<a href="'.$core->adminurl->get("admin.help").'">%s</a>',__('the global help'))).
+		sprintf(__('See also %s'),sprintf('<a href="help.php">%s</a>',__('the global help'))).
 		'.</p>'.
 		'</div></div>';
@@ -591,5 +589,4 @@
 		'<script type="text/javascript">'."\n".
 		"//<![CDATA[\n".
-		'jsToolBar = {}, jsToolBar.prototype = { elements : {} };'."\n".
 		self::jsVar('dotclear.nonce',$GLOBALS['core']->getNonce()).
 		self::jsVar('dotclear.img_plus_src','images/expand.png').
@@ -831,8 +828,88 @@
 	}
 
-
 	public static function jsToolBar()
 	{
-		# Deprecated but we keep this for plugins.
+		$res =
+		'<link rel="stylesheet" type="text/css" href="style/jsToolBar/jsToolBar.css" />'.
+		'<script type="text/javascript" src="js/jsToolBar/jsToolBar.js"></script>';
+
+		if (isset($GLOBALS['core']->auth) && $GLOBALS['core']->auth->getOption('enable_wysiwyg')) {
+			$res .= '<script type="text/javascript" src="js/jsToolBar/jsToolBar.wysiwyg.js"></script>';
+		}
+
+		$res .=
+		'<script type="text/javascript" src="js/jsToolBar/jsToolBar.dotclear.js"></script>'.
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA[\n".
+		"jsToolBar.prototype.dialog_url = 'popup.php'; ".
+		"jsToolBar.prototype.iframe_css = '".
+		'body{'.
+		'font: 12px "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;'.
+		'color : #000;'.
+		'background: #f9f9f9;'.
+		'margin: 0;'.
+		'padding : 2px;'.
+		'border: none;'.
+		(l10n::getTextDirection($GLOBALS['_lang']) == 'rtl' ? 'direction:rtl;' : '').
+		'}'.
+		'pre, code, kbd, samp {'.
+		'font-family:"Courier New",Courier,monospace;'.
+		'font-size : 1.1em;'.
+		'}'.
+		'code {'.
+		'color : #666;'.
+		'font-weight : bold;'.
+		'}'.
+		'body > p:first-child {'.
+		'margin-top: 0;'.
+		'}'.
+		"'; ".
+		"jsToolBar.prototype.base_url = '".html::escapeJS($GLOBALS['core']->blog->host)."'; ".
+		"jsToolBar.prototype.switcher_visual_title = '".html::escapeJS(__('visual'))."'; ".
+		"jsToolBar.prototype.switcher_source_title = '".html::escapeJS(__('source'))."'; ".
+		"jsToolBar.prototype.legend_msg = '".
+		html::escapeJS(__('You can use the following shortcuts to format your text.'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.none = '".html::escapeJS(__('-- none --'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.nonebis = '".html::escapeJS(__('-- block format --'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.p = '".html::escapeJS(__('Paragraph'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h1 = '".html::escapeJS(__('Level 1 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h2 = '".html::escapeJS(__('Level 2 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h3 = '".html::escapeJS(__('Level 3 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h4 = '".html::escapeJS(__('Level 4 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h5 = '".html::escapeJS(__('Level 5 header'))."'; ".
+		"jsToolBar.prototype.elements.blocks.options.h6 = '".html::escapeJS(__('Level 6 header'))."'; ".
+		"jsToolBar.prototype.elements.strong.title = '".html::escapeJS(__('Strong emphasis'))."'; ".
+		"jsToolBar.prototype.elements.em.title = '".html::escapeJS(__('Emphasis'))."'; ".
+		"jsToolBar.prototype.elements.ins.title = '".html::escapeJS(__('Inserted'))."'; ".
+		"jsToolBar.prototype.elements.del.title = '".html::escapeJS(__('Deleted'))."'; ".
+		"jsToolBar.prototype.elements.quote.title = '".html::escapeJS(__('Inline quote'))."'; ".
+		"jsToolBar.prototype.elements.code.title = '".html::escapeJS(__('Code'))."'; ".
+		"jsToolBar.prototype.elements.br.title = '".html::escapeJS(__('Line break'))."'; ".
+		"jsToolBar.prototype.elements.blockquote.title = '".html::escapeJS(__('Blockquote'))."'; ".
+		"jsToolBar.prototype.elements.pre.title = '".html::escapeJS(__('Preformated text'))."'; ".
+		"jsToolBar.prototype.elements.ul.title = '".html::escapeJS(__('Unordered list'))."'; ".
+		"jsToolBar.prototype.elements.ol.title = '".html::escapeJS(__('Ordered list'))."'; ".
+
+		"jsToolBar.prototype.elements.link.title = '".html::escapeJS(__('Link'))."'; ".
+		"jsToolBar.prototype.elements.link.href_prompt = '".html::escapeJS(__('URL?'))."'; ".
+		"jsToolBar.prototype.elements.link.hreflang_prompt = '".html::escapeJS(__('Language?'))."'; ".
+
+		"jsToolBar.prototype.elements.img.title = '".html::escapeJS(__('External image'))."'; ".
+		"jsToolBar.prototype.elements.img.src_prompt = '".html::escapeJS(__('URL?'))."'; ".
+
+		"jsToolBar.prototype.elements.img_select.title = '".html::escapeJS(__('Media chooser'))."'; ".
+		"jsToolBar.prototype.elements.post_link.title = '".html::escapeJS(__('Link to an entry'))."'; ".
+
+		"jsToolBar.prototype.elements.removeFormat.title = '".html::escapeJS(__('Remove text formating'))."'; ";
+
+		if (!$GLOBALS['core']->auth->check('media,media_admin',$GLOBALS['core']->blog->id)) {
+			$res .= "jsToolBar.prototype.elements.img_select.disabled = true;\n";
+		}
+
+		$res .=
+		"\n//]]>\n".
+		"</script>\n";
+
+		return $res;
 	}
 
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 2666)
+++ inc/admin/lib.pager.php	(revision 2566)
@@ -381,5 +381,5 @@
 				echo '<p><strong>'.__('No comments or trackbacks matches the filter').'</strong></p>';
 			} else {
-				echo '<p><strong>'.__('No comments').'</strong></p>';
+				echo '<p><strong>'.__('No comment').'</strong></p>';
 			}
 		}
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 2724)
+++ inc/admin/prepend.php	(revision 2566)
@@ -61,14 +61,4 @@
 }
 
-
-function addMenuItem($section,$desc,$adminurl,$icon,$perm) {
-	global $core,$_menu;
-	$url=$core->adminurl->get($adminurl);
-	$_menu[$section]->prependItem(
-		$desc, $url, $icon, preg_match('/'.$url.'(\?.*)?$/',
-		$_SERVER['REQUEST_URI']), $perm
-	);
-}
-
 if (defined('DC_AUTH_SESS_ID') && defined('DC_AUTH_SESS_UID'))
 {
@@ -185,34 +175,4 @@
 }
 
-$core->adminurl = new dcAdminURL($core);
-
-$core->adminurl->register('admin.posts','posts.php');
-$core->adminurl->register('admin.post','post.php');
-$core->adminurl->register('admin.post.media','post_media.php');
-$core->adminurl->register('admin.blog.theme','blog_theme.php');
-$core->adminurl->register('admin.blog.pref','blog_pref.php');
-$core->adminurl->register('admin.blog.del','blog_del.php');
-$core->adminurl->register('admin.blog','blog.php');
-$core->adminurl->register('admin.blogs','blogs.php');
-$core->adminurl->register('admin.categories','categories.php');
-$core->adminurl->register('admin.category','category.php');
-$core->adminurl->register('admin.comments','comments.php');
-$core->adminurl->register('admin.comment','comment.php');
-$core->adminurl->register('admin.help','help.php');
-$core->adminurl->register('admin.home','index.php');
-$core->adminurl->register('admin.langs','langs.php');
-$core->adminurl->register('admin.media','media.php');
-$core->adminurl->register('admin.media.item','media_item.php');
-$core->adminurl->register('admin.plugins','plugins.php');
-$core->adminurl->register('admin.plugin','plugin.php');
-$core->adminurl->register('admin.search','search.php');
-$core->adminurl->register('admin.user.preferences','preferences.php');
-$core->adminurl->register('admin.user','user.php');
-$core->adminurl->register('admin.user.actions','user_actions.php');
-$core->adminurl->register('admin.users','users.php');
-$core->adminurl->register('admin.auth','auth.php');
-$core->adminurl->register('admin.help','help.php');
-$core->adminurl->register('admin.update','update.php');
-
 if ($core->auth->userID() && $core->blog !== null)
 {
@@ -271,31 +231,44 @@
 	$_menu['Plugins']->title = __('Plugins');
 
-	$url = $core->adminurl->get('admin.blog.theme');
-	addMenuItem('Blog',__('Blog appearance'),'admin.blog.theme','images/menu/themes.png',
+
+	$_menu['Blog']->prependItem(__('Blog appearance'),'blog_theme.php','images/menu/themes.png',
+		preg_match('/blog_theme.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('admin',$core->blog->id));
-	addMenuItem('Blog',__('Blog settings'),'admin.blog.pref','images/menu/blog-pref.png',
+	$_menu['Blog']->prependItem(__('Blog settings'),'blog_pref.php','images/menu/blog-pref.png',
+		preg_match('/blog_pref.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('admin',$core->blog->id));
-	addMenuItem('Blog',__('Media manager'),'admin.media','images/menu/media.png',
+	$_menu['Blog']->prependItem(__('Media manager'),'media.php','images/menu/media.png',
+		preg_match('/media(_item)?.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('media,media_admin',$core->blog->id));
-	addMenuItem('Blog',__('Categories'),'admin.categories','images/menu/categories.png',
+	$_menu['Blog']->prependItem(__('Categories'),'categories.php','images/menu/categories.png',
+		preg_match('/categories.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('categories',$core->blog->id));
-	addMenuItem('Blog',__('Search'),'admin.search','images/menu/search.png',
-		$core->auth->check('usage,contentadmin',$core->blog->id));
-	addMenuItem('Blog',__('Comments'),'admin.comments','images/menu/comments.png',
-		$core->auth->check('usage,contentadmin',$core->blog->id));
-	addMenuItem('Blog',__('Entries'),'admin.posts','images/menu/entries.png',
-		$core->auth->check('usage,contentadmin',$core->blog->id));
-	addMenuItem('Blog',__('New entry'),'admin.post','images/menu/edit.png',
-		$core->auth->check('usage,contentadmin',$core->blog->id));
-
-	addMenuItem('System',__('Update'),'admin.update','images/menu/update.png',
+	$_menu['Blog']->prependItem(__('Search'),'search.php','images/menu/search.png',
+		preg_match('/search.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
+		$core->auth->check('usage,contentadmin',$core->blog->id));
+	$_menu['Blog']->prependItem(__('Comments'),'comments.php','images/menu/comments.png',
+		preg_match('/comments.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
+		$core->auth->check('usage,contentadmin',$core->blog->id));
+	$_menu['Blog']->prependItem(__('Entries'),'posts.php','images/menu/entries.png',
+		preg_match('/posts.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
+		$core->auth->check('usage,contentadmin',$core->blog->id));
+	$_menu['Blog']->prependItem(__('New entry'),'post.php','images/menu/edit.png',
+		preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
+		$core->auth->check('usage,contentadmin',$core->blog->id));
+
+	$_menu['System']->prependItem(__('Update'),'update.php','images/menu/update.png',
+		preg_match('/update.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin() && is_readable(DC_DIGESTS));
-	addMenuItem('System',__('Languages'),'admin.langs','images/menu/langs.png',
+	$_menu['System']->prependItem(__('Languages'),'langs.php','images/menu/langs.png',
+		preg_match('/langs.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
-	addMenuItem('System',__('Plugins management'),'admin.plugins','images/menu/plugins.png',
+	$_menu['System']->prependItem(__('Plugins management'),'plugins.php','images/menu/plugins.png',
+		preg_match('/plugins.php(\?.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
-	addMenuItem('System',__('Users'),'admin.users','images/menu/users.png',
+	$_menu['System']->prependItem(__('Users'),'users.php','images/menu/users.png',
+		preg_match('/users.php$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
-	addMenuItem('System',__('Blogs'),'admin.blogs','images/menu/blogs.png',
+	$_menu['System']->prependItem(__('Blogs'),'blogs.php','images/menu/blogs.png',
+		preg_match('/blogs.php$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin() ||
 		$core->auth->check('usage,contentadmin',$core->blog->id) && $core->auth->getBlogCount() > 1);
@@ -305,3 +278,2 @@
 	}
 }
-
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 2628)
+++ inc/core/class.dc.blog.php	(revision 2626)
@@ -1894,5 +1894,5 @@
 	- post_id: (integer) Get comments belonging to given post_id
 	- cat_id: (integer or array) Get comments belonging to entries of given category ID
-	- comment_id: (integer or array) Get comment with given ID (or IDs)
+	- comment_id: (integer) Get comment with given ID
 	- comment_site: (string) Get comments with given comment_site
 	- comment_status: (integer) Get comments with given comment_status
@@ -1984,10 +1984,5 @@
 
 		if (isset($params['comment_id']) && $params['comment_id'] !== '') {
-			if (is_array($params['comment_id'])) {
-				array_walk($params['comment_id'],create_function('&$v,$k','if($v!==null){$v=(integer)$v;}'));
-			} else {
-				$params['comment_id'] = array((integer) $params['comment_id']);
-			}
-			$strReq .= 'AND comment_id '.$this->con->in($params['comment_id']);
+			$strReq .= 'AND comment_id = '.(integer) $params['comment_id'].' ';
 		}
 
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 2706)
+++ inc/core/class.dc.core.php	(revision 2566)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2014 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -39,5 +39,4 @@
 	public $rest;		///< <b>dcRestServer</b>	dcRestServer object
 	public $log;		///< <b>dcLog</b>			dcLog object
-	public $stime;		///< <b>float</b>			starting time
 
 	private $versions = null;
@@ -60,10 +59,4 @@
 	public function __construct($driver, $host, $db, $user, $password, $prefix, $persist)
 	{
-		if (defined('DC_START_TIME')) {
-			$this->stime=DC_START_TIME;
-		} else {
-			$this->stime = microtime(true);
-		}
-
 		$this->con = dbLayer::init($driver,$host,$db,$user,$password,$persist);
 
@@ -101,4 +94,7 @@
 
 		$this->log = new dcLog($this);
+
+		$this->addFormater('xhtml', create_function('$s','return $s;'));
+		$this->addFormater('wiki', array($this,'wikiTransform'));
 	}
 
@@ -208,4 +204,5 @@
 	//@}
 
+
 	/// @name Text Formatters methods
 	//@{
@@ -215,22 +212,4 @@
 	argument: the string to transform. It returns the transformed string.
 
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
-	@param	name		<b>string</b>	Formater name
-	@param	func		<b>callback</b>	Function to use, must be a valid and callable callback
-	*/
-	public function addEditorFormater($editor_id,$name,$func)
-	{
-		if (is_callable($func)) {
-			$this->formaters[$editor_id][$name] = $func;
-		}
-	}
-
-	/// @name Text Formatters methods
-	//@{
-	/**
-	Adds a new text formater which will call the function <var>$func</var> to
-	transform text. The function must be a valid callback and takes one
-	argument: the string to transform. It returns the transformed string.
-
 	@param	name		<b>string</b>		Formater name
 	@param	func		<b>callback</b>	Function to use, must be a valid and callable callback
@@ -238,53 +217,17 @@
 	public function addFormater($name,$func)
 	{
-		$this->addEditorFormater('dcLegacyEditor',$name,$func);
-	}
-
-	/**
-	Returns editors list
-
-	@return	<b>array</b> An array of editors values.
-	*/
-	public function getEditors()
-	{
-		$editors = array();
-
-		foreach (array_keys($this->formaters) as $editor_id) {
-			$editors[$editor_id] = $this->plugins->moduleInfo($editor_id,'name');
-		}
-
-		return $editors;
-	}
-
-	/**
-	Returns formaters list by editor
-
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
+		if (is_callable($func)) {
+			$this->formaters[$name] = $func;
+		}
+	}
+
+	/**
+	Returns formaters list.
+
 	@return	<b>array</b> An array of formaters names in values.
-
-    /**
-    if @param editor_id is empty:
-    return all formaters sorted by actives editors
-    
-    if @param editor_id is not empty
-    return formaters for an editor if editor is active
-    return empty() array if editor is not active. 
-    It can happens when a user choose an editor and admin deactivate that editor later
-	*/
-	public function getFormaters($editor_id='')
-	{
-		$formaters_list = array();
-
-		if (!empty($editor_id)) {
-            if (isset($this->formaters[$editor_id])) {
-                $formaters_list = array_keys($this->formaters[$editor_id]);
-            }
-		} else {
-			foreach ($this->formaters as $editor => $formaters) {
-				$formaters_list[$editor] = array_keys($formaters);
-			}
-		}
-
-		return $formaters_list;
+	*/
+	public function getFormaters()
+	{
+		return array_keys($this->formaters);
 	}
 
@@ -293,30 +236,15 @@
 	transformed using that formater.
 
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
 	@param	name		<b>string</b>		Formater name
 	@param	str		<b>string</b>		String to transform
 	@return	<b>string</b>	String transformed
 	*/
-	public function callEditorFormater($editor_id,$name,$str)
-	{
-		if (isset($this->formaters[$editor_id]) && isset($this->formaters[$editor_id][$name])) {
-			return call_user_func($this->formaters[$editor_id][$name],$str);
+	public function callFormater($name,$str)
+	{
+		if (isset($this->formaters[$name])) {
+			return call_user_func($this->formaters[$name],$str);
 		}
 
 		return $str;
-	}
-	//@}
-
-	/**
-	If <var>$name</var> is a valid formater, it returns <var>$str</var>
-	transformed using that formater.
-
-	@param	name		<b>string</b>		Formater name
-	@param	str		<b>string</b>		String to transform
-	@return	<b>string</b>	String transformed
-	*/
-	public function callFormater($name,$str)
-	{
-		return $this->callEditorFormater('dcLegacyEditor',$name,$str);
 	}
 	//@}
@@ -713,5 +641,5 @@
 	   - [url] => Blog URL
 	   - [p]
-		- [permission] => true
+	   	- [permission] => true
 		- ...
 
@@ -865,5 +793,4 @@
 			'edit_size' => 24,
 			'enable_wysiwyg' => true,
-            'editor' => 'dcLegacyEditor',
 			'post_format' => 'wiki'
 		);
@@ -882,5 +809,5 @@
 	   - [super] => (true|false) super admin
 	   - [p]
-		- [permission] => true
+	   	- [permission] => true
 		- ...
 
@@ -1055,17 +982,14 @@
 	private function getBlogCursor($cur)
 	{
-		if (($cur->blog_id !== null
-			&& !preg_match('/^[A-Za-z0-9._-]{2,}$/',$cur->blog_id)) ||
-			(!$cur->blog_id)) {
+		if ($cur->blog_id !== null
+		&& !preg_match('/^[A-Za-z0-9._-]{2,}$/',$cur->blog_id)) {
 			throw new Exception(__('Blog ID must contain at least 2 characters using letters, numbers or symbols.'));
 		}
 
-		if (($cur->blog_name !== null && $cur->blog_name == '') ||
-			(!$cur->blog_name)) {
+		if ($cur->blog_name !== null && $cur->blog_name == '') {
 			throw new Exception(__('No blog name'));
 		}
 
-		if (($cur->blog_url !== null && $cur->blog_url == '') ||
-			(!$cur->blog_url)) {
+		if ($cur->blog_url !== null && $cur->blog_url == '') {
 			throw new Exception(__('No blog URL'));
 		}
@@ -1382,8 +1306,6 @@
 				array('media_img_title_pattern','string','Title ;; Date(%b %Y) ;; separator(, )',
 				'Pattern to set image title when you insert it in a post'),
-				array('nb_post_for_home','integer',20,
-				'Number of entries on first home page'),
 				array('nb_post_per_page','integer',20,
-				'Number of entries on home pages and category pages'),
+				'Number of entries on home page and category pages'),
 				array('nb_post_per_feed','integer',20,
 				'Number of entries on feeds'),
@@ -1400,5 +1322,5 @@
 				array('short_feed_items','boolean',false,
 				'Display short feed items'),
-				array('theme','string','berlin',
+				array('theme','string','default',
 				'Blog theme'),
 				array('themes_path','string','themes',
@@ -1547,21 +1469,4 @@
 		}
 	}
-
-	/**
-	 Return elapsed time since script has been started
-	 @param	  $mtime <b>float</b> timestamp (microtime format) to evaluate delta from
-								  current time is taken if null
-	 @return <b>float</b>		 elapsed time
-	 */
-	public function getElapsedTime ($mtime=null) {
-		if ($mtime !== null) {
-			return $mtime-$this->stime;
-		} else {
-			return microtime(true)-$this->stime;
-		}
-	}
 	//@}
-
-
-
 }
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 2659)
+++ inc/core/class.dc.media.php	(revision 2566)
@@ -1002,5 +1002,5 @@
 	}
 
-	public function imageThumbRemove($f)
+	protected function imageThumbRemove($f)
 	{
 		$p = path::info($f);
Index: inc/core/class.dc.modules.php
===================================================================
--- inc/core/class.dc.modules.php	(revision 2708)
+++ inc/core/class.dc.modules.php	(revision 2566)
@@ -131,5 +131,4 @@
 			if ($ns == 'admin') {
 				$this->loadModuleL10Nresources($id,$lang);
-				$this->core->adminurl->register('admin.plugin.'.$id,'plugin.php',array('p'=>$id));
 			}
 			$this->loadNsFile($id,$ns);
Index: inc/core/class.dc.namespace.php
===================================================================
--- inc/core/class.dc.namespace.php	(revision 2567)
+++ inc/core/class.dc.namespace.php	(revision 2566)
@@ -125,34 +125,4 @@
 
 	/**
-	Returns global setting value if exists.
-
-	@param	n		<b>string</b>		setting name
-	@return	<b>mixed</b>
-	*/
-	public function getGlobal($n)
-	{
-		if (isset($this->global_settings[$n]['value'])) {
-			return $this->global_settings[$n]['value'];
-		}
-
-		return null;
-	}
-
-	/**
-	Returns local setting value if exists.
-
-	@param	n		<b>string</b>		setting name
-	@return	<b>mixed</b>
-	*/
-	public function getLocal($n)
-	{
-		if (isset($this->local_settings[$n]['value'])) {
-			return $this->local_settings[$n]['value'];
-		}
-
-		return null;
-	}
-
-	/**
 	Magic __get method.
 	@copydoc ::get
Index: inc/core/class.dc.themes.php
===================================================================
--- inc/core/class.dc.themes.php	(revision 2607)
+++ inc/core/class.dc.themes.php	(revision 2566)
@@ -59,5 +59,5 @@
 		# Themes specifics properties
 		$properties = array_merge(
-			array('parent' => null, 'tplset' => DC_DEFAULT_TPLSET),
+			array('parent' => null),
 			$properties,
 			array('permissions' => 'admin') // force themes perms
